"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const isBrowser = typeof document !== 'undefined';
const isReactNative = typeof navigator !== 'undefined' && navigator.product === 'ReactNative';
class InMemoryStorage {
    constructor() {
        this._inMemoryState = {};
        this.setItem = (key, value) => {
            this._inMemoryState[key] = value;
        };
        this.getItem = (key) => {
            const item = this._inMemoryState[key];
            return item || null;
        };
    }
}
const getStorage = () => {
    if (isReactNative) {
        return new InMemoryStorage();
    }
    if (isBrowser) {
        return window['localStorage'];
    }
    return null;
};
exports.default = getStorage();
